E+ on Android for ioq3 arm: ERROR: OP_JUMP

8 replies [Last post]
cml
Forum moderator Rank moderator LIVING LEGEND
camel-xp's picture
Offline
Joined: Mar 2006
Posts:
PL Poland

The Excessiveplus mod isn't fully working on Android devices running on ioq3 1.36
the following error occurs while trying to either load some map from the menu console or create server, local, lan or dedicated, its all the same, here's some of the code from console log:

FS_FindVM: name = ui, enableDLL = 0
Loading vm file vm/ui.qvm...
File "vm/ui.qvm" found in "/mnt/sdcard/Quake3/excessiveplus/z-xp-2_3.pk3"
Architecture doesn't have a bytecode compiler, using interpreter
ui loaded in 2608256 bytes on the hunk
bad filter name
------ Server Initialization ------
Server: Q3DM1
RE_Shutdown( 0 )
Hunk_Clear: reset the hunk ok
----- R_Init -----
bad filter name
bad filter name
Initializing Shaders
 
----------------------
9960 files in pk3 files
FS_FindVM: name = qagame, enableDLL = 1
Loading vm file vm/qagame.qvm...
File "vm/qagame.qvm" found in "/mnt/sdcard/Quake3/excessiveplus/z-xp-2_3.pk3"
qagame loaded in 13298784 bytes on the hunk
********************
ERROR: VM program counter out of range in OP_JUMP
********************
----- Server Shutdown (Server crashed: VM program counter out of range in OP_JUMP) -----

I tried to run E+ on 2 other ported versions of Q3 for Android with the exactly same results

But E+ mod is working normaly while I join any server or play any demo.

is there any chance that E+ could be fixed for this error orr maybe is there some solution for that to fix it somehow?

EVILUTION
fiendsin's picture
Offline
Joined: Jun 2012
Posts:
Re: E+ on Android : ERROR: OP_JUMP

try to use previous version.


Sometimes I wish I was a NEET again, but life is too fucking expensive man.
The weak plot revenge, the strong forgive and the Lucky forget, but Fiend, Fiend no longer gives a shit

◀█ BIG BOB wrote:
Man you even sound like Lego's

You Fuckers wrote:
I would cut my fifth finger to bang her actually

You Fuckers wrote:
BELIEVE IN BLASPHEMY

cml
Forum moderator Rank moderator LIVING LEGEND
camel-xp's picture
Offline
Joined: Mar 2006
Posts:
PL Poland
Re: E+ on Android : ERROR: OP_JUMP
EVILUTION wrote:

try to use previous version.

I dont want previous version, I want to run dedicated server on actual 2.3 or further 2.4 without this error

EVILUTION
fiendsin's picture
Offline
Joined: Jun 2012
Posts:
Re: E+ on Android : ERROR: OP_JUMP

try previous, to determine wether all versions and not only this is screwy


Sometimes I wish I was a NEET again, but life is too fucking expensive man.
The weak plot revenge, the strong forgive and the Lucky forget, but Fiend, Fiend no longer gives a shit

◀█ BIG BOB wrote:
Man you even sound like Lego's

You Fuckers wrote:
I would cut my fifth finger to bang her actually

You Fuckers wrote:
BELIEVE IN BLASPHEMY

cml
Forum moderator Rank moderator LIVING LEGEND
camel-xp's picture
Offline
Joined: Mar 2006
Posts:
PL Poland
Re: E+ on Android : ERROR: OP_JUMP

All previous versions that doesnt run on .dll .so has the same error, older version that runs on .dll such 2.1 gave me following message:

2!S*monk!
NewBMonK's picture
Offline
Joined: Jan 2006
Posts:
Re: E+ on Android : ERROR: OP_JUMP

eat a burger, this can help!

Blitz
Forum moderator
Blitz's picture
Offline
Joined: Mar 2009
Posts:
GB United Kingdom
Re: E+ on Android : ERROR: OP_JUMP
2!S*monk! wrote:

eat a burger, this can help!

Not really Confused



bookkc
Offline
Joined: May 2015
Posts:
Re: E+ on Android for ioq3 arm: ERROR: OP_JUMP

I have that problem too, can any help me?